Workshop/Parameters
Update workshop parameters
Updates workshop module parameters. Only provided fields are changed (partial update).
AuthorizationBearer <token>
In: header
agenda?object
service_orders?object
documents?object
stock?object
pricing?object
technicians?object
vehicles?object
notifications?object
integrations?object
document_chat?object
agenda.employees_visibility?array<unknown>
Employees whose agenda visibility changed, applied in bulk.
agenda.employees_visibility.*.employee_id?integer
Employee ID.
agenda.employees_visibility.*.visible?boolean
Whether the employee is shown on the workshop and CRM agendas.
agenda.departments_visibility?array<unknown>
Departments whose workshop agenda visibility changed, applied in bulk.
agenda.departments_visibility.*.department_id?integer
Department ID.
agenda.departments_visibility.*.visible?boolean
Whether the department is shown on the workshop agenda.
Response Body
curl -X PATCH "https://og-tenant1.test:8003/api/v2/workshop/parameters" \
-H "Content-Type: application/json" \
-d '{}'{
"data": {
"property1": {
"property1": "string",
"property2": "string"
},
"property2": {
"property1": "string",
"property2": "string"
}
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}